GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_orthonormalize
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tmat3x3< T, P > | orthonormalize (const detail::tmat3x3< T, P > &m)
template<typename T , precision P>
detail::tvec3< T, P > | orthonormalize (const detail::tvec3< T, P > &x, const detail::tvec3< T, P > &y)

## Detailed Description

Orthonormalize matrices.

<glm/gtx/orthonormalize.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat3x3<T, P> glm::orthonormalize | ( | const detail::tmat3x3< T, P > & | m | ) |

Returns the orthonormalized matrix of m.

From GLM_GTX_orthonormalize extension.

detail::tvec3<T, P> glm::orthonormalize | ( | const detail::tvec3< T, P > & | x,
|  | const detail::tvec3< T, P > & | y
| ) |  |

Orthonormalizes x according y.

From GLM_GTX_orthonormalize extension.